package lpv.simulation.propagator;

import javax.vecmath.Point3i;

import lpv.LPV;

public class PassthroughPropagator implements Propagator {
	
	private Propagator propagator;

	public PassthroughPropagator() {
		this.propagator = null;
	}
	
	public PassthroughPropagator(Propagator propagator) {
		this.propagator = propagator;
	}
	
	public void setPropagator(Propagator propagator) {
		this.propagator = propagator;
	}

	@Override
	public void propagate(LPV in, LPV out, LPV acc, LPV geometry, Point3i pos, int iteration) {
		propagator.propagate(in, out, acc, geometry, pos, iteration);
	}
	
}
